System.ServiceModel 4.0.0.0 System.Object

A workspace is a named group of collections.

Represents a workspace within a service document.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class and initializes it with the specified title and collection.

  The title of the workspace.
  The collection the workspace contains.
- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class and initializes it with the specified title and collection.

  The workspace title.
  The collection the workspace contains.
- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  An attribute extension is a valid XML attribute that is not specified in either the Atom 1.0 or RSS 2.0 specifications. When serialized to Atom 1.0, each custom attribute in the collection is written to the <atom> element. When serialized to RSS 2.0, each custom attribute is written to the <channel> element.

  Gets a collection of attribute extensions.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets and sets the base URI for the instance.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.ResourceCollectionInfo> To be added. To be added.

  Gets the collection associated with the workspace.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.ResourceCollectionInfo To be added.

  Creates a new instance.

  Returns .

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added. To be added.

  Gets the element extensions contained within the instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.TextSyndicationContent To be added. To be added.

  The title of the instance.

- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added.

  Attempts to parse an attribute extension.

  Returns .

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Attempts to parse an element extension.

  Returns .

  The to read from. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the attribute extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use when writing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the element extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use when writing.